Skip to main content
GET
Get a thread and its comments

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

thread_id
string<uuid>
required

A UUID which identifies the thread.

Example:

"a649e4d9-435c-43fb-83ba-847b4876f27a"

Query Parameters

limit
integer

The maximum number of comments to return. Defaults to 250, which is also the maximum.

Example:

250

cursor
string

A cursor for pagination. Use the next_cursor from the previous response to get the next page of comments.

Minimum string length: 1
Example:

"eyJkZXNjcmlwdGlvbiI6ICJ0aGlzIGlzIGEgY3Vyc29yIn0=.eM56CGbqZ6G1NHiJchTIkH4vKDr"

created_after
string | null

Only return comments created after this timestamp.

Example:

"2023-01-01T15:00:00.000000000Z"

Response

Success

Success

data
object
required
pagination
object
required